#!/bin/bash

git_repo="https://github.com/pantarei/drustack.git"
git_branch="7.x-23.x"

git init
git remote add origin $git_repo
git fetch
git checkout $git_branch
git submodule init
git submodule sync
git submodule update
git status

find . -type f -name "*.make" | egrep -e "\/(drustack_.*\.make|build-drustack.make|drupal-org.make)" | while read FILE; do
    cat $FILE | grep '\[download\]\[branch\]' | while read LINE; do
        echo $FILE
        echo $LINE
        PROJECT=`echo $LINE | sed "s/projects\[\(.*\)\]\[download\].* = \(.*\)/\1/g"`
        BRANCH=`echo $LINE | sed "s/projects\[\(.*\)\]\[download\].* = \(.*\)/\2/g"`
        GIT="git --git-dir=`find . -type f -name ".git" | egrep -e "\/$PROJECT\/.git" | egrep -e "(modules|themes|profiles)"`"
        $GIT checkout -b $BRANCH origin/$BRANCH
        $GIT remote add drupal http://git.drupal.org/project/$PROJECT.git
        $GIT fetch drupal
        $GIT remote -v
        $GIT status
    done
done
